Subject: bug#49752: closed ([coreu-updates] coreutils-final test failures on powerpc64le-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Aug 2021 23:37:02 +0000

Your bug report

#49752: [coreu-updates] coreutils-final test failures on powerpc64le-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
49752: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=49752
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [coreu-updates] coreutils-final test failures on powerpc64le-linux
From: Thiago Jung Bauermann <[email-masked]>
To: [email-masked]
Date: Wed, 04 Aug 2021 20:36:19 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Both in the CI and on my laptop this problem happened under emulation.

I just tested on real hardware (a POWER8 VM on the Unicamp/IBM Minicloud) 
and couldn’t reproduce the problem. I tested with:

$ ./pre-inst-env guix build --check --rounds=5 \
	-e '(@@ (gnu packages commencement) coreutils-final)'

On the core-updates-frozen branch at the following commit:

1685128e6e11 gnu: mesa-opencl, mesa-opencl-icd: Build all the LLVM targets 
again.

-- 
Thanks,
Thiago

Subject: [coreu-updates] coreutils-final test failures on powerpc64le-linux
From: Thiago Jung Bauermann <[email-masked]>
To: Bug Guix <[email-masked]>
Date: Tue, 27 Jul 2021 20:34:55 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On core-updates, as of the following commit from July 26th:

e2690a8eb2df gnu: mes-rb5: Remove.

Guix fails to build ‘(@@ (gnu packages commencement) coreutils-final)’ on 
powerpc64le-linux. E.g.: https://ci.guix.gnu.org/build/692547/details

The problem happens during the ‘check’ phase, because of two testsuite 
failures:

================================================
   GNU coreutils 8.32: ./tests/test-suite.log
================================================

# TOTAL: 620
# PASS:  408
# SKIP:  210
# XFAIL: 0
# FAIL:  2
# XPASS: 0
# ERROR: 0

The failures are:

FAIL: tests/misc/env-signal-handler
FAIL: tests/misc/timeout

In both of them, the problem is the same: the test expects the ‘timeout’ 
utility to print the name of the signal that is being sent, but for some 
reason it only prints the first letter of the name. E.g.:

+ diff -u exp-err6 err6
--- exp-err6	2021-07-26 19:00:08.159279146 +0000
+++ err6	2021-07-26 19:00:08.475277881 +0000
@@ -1,2 +1,2 @@
-timeout: sending signal INT to command 'env'
-timeout: sending signal KILL to command 'env'
+timeout: sending signal I to command 'env'
+timeout: sending signal K to command 'env'

It’s interesting that this works as expected with the ‘coreutils-boot0’ 
package.

-- 
Thanks,
Thiago